﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RhinoMocks35Beta
{
    public interface IPaymentProcessing
    {
        bool TakePayment(int paymentId, int customerId, double amount);
    }

    internal class PaymentProcessor
    {
        internal IPaymentProcessing wsProxy;

        public PaymentProcessor(IPaymentProcessing proxy)
        {
            wsProxy = proxy;
        }

        public bool TakePayment(int paymentId, int customerId, double amount)
        {
            return wsProxy.TakePayment(paymentId, customerId, amount);
        }
    }
}
